/* Calendar Suite */
.calendar-suite-portlet .list-view .card .image-wrapper {
  position: relative;
}

.calendar-suite-portlet .list-view .card .image-wrapper .sticker {
  background: #fff;
}

.calendar-suite-portlet .day-view .paginator .pager,
.calendar-suite-portlet .month-view .paginator .pager,
.calendar-suite-portlet .week-view .paginator .pager,
.calendar-suite-portlet .year-view .paginator .pager {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding-left: 0;
}

.calendar-suite-portlet .day-view .paginator .pager:after,
.calendar-suite-portlet .month-view .paginator .pager:after,
.calendar-suite-portlet .week-view .paginator .pager:after,
.calendar-suite-portlet .year-view .paginator .pager:after {
  display: none;
}

.calendar-suite-portlet .week-view .card.card-horizontal .day {
  justify-content: start;
}

.calendar-suite-portlet .week-view .card.card-horizontal .day .day-info {
  display: block;
  text-align: center;
  color: #fff;
}

.calendar-suite-portlet .week-view .card.card-horizontal .day .day-info .day-of-month {
  display: block;
  font-size: 1.5rem;
  font-weight: bold;
}

.calendar-suite-portlet .week-view .card.card-horizontal .day .day-info .day-meta {
  display: block;
}

.calendar-suite-portlet .week-view .card.card-horizontal .calendar-booking {
  position: relative;
}

.calendar-suite-portlet .month-view .calendar-booking-detail {
  position: relative;
}

.calendar-suite-portlet .month-view .month-table.table {
  table-layout: fixed;
}

.calendar-suite-portlet .month-view .month-table.table td {
  vertical-align: top;
}

.calendar-suite-portlet .month-view .month-table.table td .calendar-booking a.title {
  word-break: break-all;
}

.calendar-suite-portlet .year-view .year-table .table td.day.day-hidden {
  display: none;
}

.calendar-suite-portlet .year-view .year-table .table {
  border-collapse: separate !important;
  border-spacing: 1px;
  border: none;
  background-color: transparent;
}

.calendar-suite-portlet .year-view .year-table .table td {
  padding: 0.5rem;
}

.calendar-suite-portlet .day-info.badge .day-meta .month {
  padding-bottom: 5px;
}

.calendar-suite-portlet .day-view a,
.calendar-suite-portlet .week-view a,
.calendar-suite-portlet .month-view a {
  color: #565b61;
}

.calendar-suite-portlet .week-view ul.pager .current-entry .month,
.calendar-suite-portlet .day-view ul.pager .current-entry .day-wrapper .day-of-week,
.calendar-suite-portlet .day-view ul.pager .current-entry .day-wrapper .day-of-month,
.calendar-suite-portlet .day-view ul.pager .current-entry .day-wrapper .month {
  font-weight: 900;
}

.calendar-suite-portlet .calendar-booking .card-body {
  border: 1px solid #dedede;
  padding: 0.5rem;
  background-color: #fff;
}

.calendar-suite-portlet .navigation-bar-light .navbar-nav .nav-link {
  color: #565b61;
}

.calendar-suite-portlet .navigation-bar-light .navbar-nav .nav-link:not(.q):not(.nav-item.active):hover::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #565b61;
  height: 0.25rem;
  transform: scaleX(0);
}

.calendar-suite-portlet .navigation-bar-light .navbar-nav .nav-link:not(.q):not(.nav-item.active):hover::after {
  transform: scaleX(1);
}

/* Config */
.importInlineCategory .lfr-ddm-field-group .text-secondary,
.importInlineCategory .lfr-ddm-field-group .sheet-subtitle {
  display: none;
}

/*AUI tabs*/
.calendar-suite-portlet .nav-tabs .nav-item.active .nav-link {
  background-color: #fff !important;
  color: #272833 !important;
  border-color: #cdced9 #cdced9 #fff !important;
}

.calendar-suite-portlet .card-dates .start-date .c-inner,
.calendar-suite-portlet .card-dates .end-date .c-inner,
.calendar-suite-portlet .address-default .c-inner,
.calendar-suite-portlet .location .c-inner {
  display: inline;
  margin-right: 0.3rem;
}

.calendar-suite-portlet .card-dates .card-header .c-inner,
.calendar-suite-portlet .card-schedule .card-header .c-inner,
.calendar-suite-portlet .card-location .card-header .c-inner {
  padding: 0;
}

/* Generales */
.calendar-suite-portlet .month-view .calendar-booking-detail .hour {
  color: #000;
  font-weight: 700;
}

.calendar-suite-portlet .month-view .calendar-booking-detail a.title {
  color: #000;
}

.calendar-suite-portlet .month-view ul.dropdown-menu li a span {
  color: #000;
}

/* Tooltip */
.calendar-suite-portlet .month-view .event-popover {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  position: absolute;
  bottom: 110%;
  left: 50%;
  transform: translateX(-50%) translateY(10px); /* Empieza un poco más abajo */
  transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s;
  width: 250px;
  background-color: #ffffff;
  border: 1px solid #e7e7ed;
  border-radius: 3px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  padding: 12px;
  z-index: 999;
  color: #333;
}

.calendar-suite-portlet .month-view .month-table.table td .calendar-booking a.title:hover + .event-popover {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: translateX(-50%) translateY(0);
  z-index: 9999;
}

.calendar-suite-portlet .month-view .event-popover::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 25%;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 10px 10px 0 10px;
  border-color: #ffffff transparent transparent transparent;
}

.calendar-suite-portlet .month-view .date-event-popover {
  display: block;
  font-size: 0.9em;
}

.calendar-suite-portlet .month-view .title-event-popover {
  font-weight: 600;
}

.calendar-suite-portlet .month-view .description-event-popover {
  line-height: 1.25rem;
}

.calendar-suite-portlet .month-view .image-popover {
  padding: 0.5rem 0;
}

/* Config */
fieldset.wrapper legend.fieldset-legend h3.legend {
  border-style: dotted !important;
}